DELETE
/
api
/
v1
/
users
/
{user_id}
/
curl --request DELETE \
  --url https://hpay-api.host-sl.com/api/v1/users/user_abc123/ \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "message": "User deleted successfully"
}

Endpoint

DELETE /api/v1/users/{user_id}/

Path Parameters

user_id
string
required
The unique identifier of the user to delete

Headers

api-key
string
required
Your application API key
secret-key
string
required
Your application secret key

Response

message
string
Success message confirming the deletion
curl --request DELETE \
  --url https://hpay-api.host-sl.com/api/v1/users/user_abc123/ \
  --header 'api-key: YOUR_API_KEY' \
  --header 'secret-key: YOUR_SECRET_KEY'
{
  "message": "User deleted successfully"
}
Deletion is permanent and cannot be undone. All user data and associated history will be purged. If you only want to temporarily prevent user access, consider using the Disable User endpoint instead.